This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 797589 - NETDEV WATCHDOG: eth1 (via-rhine): transmit queue 0 timed out
NETDEV WATCHDOG: eth1 (via-rhine): transmit queue 0 timed out
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: sch_generic
  Show dependency treegraph
 
Reported: 2012-02-26 18:43 EST by dev002
Modified: 2012-02-27 19:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-27 19:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dev002 2012-02-26 18:43:30 EST
Description of problem:
ethernet loses connectivity

Version-Release number of selected component (if applicable):


How reproducible:
plug and wait

Steps to Reproduce:
1. plug
2. use ethernet device
3.
  
Actual results:
loses connectivity

Expected results:
work without problems

Additional info:

seems to be like this:
https://bugzilla.redhat.com/show_bug.cgi?id=715137


------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()
Hardware name:..
NETDEV WATCHDOG: eth1 (via-rhine): transmit queue 0 timed out
Modules linked in: act_police cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_hfsc sch_htb sch_ingress sch_sfq xt_real
Feb 27 00:27:47 ww1 kernel: t_connmark xt_CLASSIFY xt_AUDIT ip6t_LOG ipt_LOG ip6t_REJECT iptable_nat xt_state nf_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_connt
Pid: 0, comm: swapper/0 Not tainted 3.2.7-1.fc16.i686.PAE #1
Call Trace:
[<c045e352>] warn_slowpath_common+0x72/0xa0
[<c0862886>] ? dev_watchdog+0x1d6/0x1e0
[<c0862886>] ? dev_watchdog+0x1d6/0x1e0
[<c045e423>] warn_slowpath_fmt+0x33/0x40
[<c0862886>] dev_watchdog+0x1d6/0x1e0
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
[<c046c246>] run_timer_softirq+0xf6/0x2e0
[<c04c6767>] ? __rcu_process_callbacks+0x47/0x310
[<c08626b0>] ? qdisc_reset+0x40/0x40
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
[<c0464ee1>] __do_softirq+0x91/0x1c0
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
<IRQ>  [<c046523e>] ? irq_exit+0x7e/0xa0
[<c0413e7b>] ? do_IRQ+0x4b/0xc0
[<c0418608>] ? sched_clock+0x8/0x10
[<c04827cb>] ? sched_clock_local+0xcb/0x1c0
[<c0943ef0>] ? common_interrupt+0x30/0x38
[<c06d230c>] ? arch_local_irq_enable+0x5/0xb
[<c06d2f5c>] ? acpi_idle_enter_simple+0xf3/0x133
[<c081498d>] ? cpuidle_idle_call+0xad/0x250
[<c041147c>] ? cpu_idle+0x9c/0xe0
[<c091b845>] ? rest_init+0x5d/0x68
[<c0bc679d>] ? start_kernel+0x357/0x35d
[<c0bc61d7>] ? loglevel+0x2b/0x2b
[<c0bc60ba>] ? i386_start_kernel+0xa9/0xaf
---[ end trace 228c4047974b3380 ]---
via-rhine 0000:00:12.0: eth1: Transmit timed out, status 0002, PHY status 786d, resetting...
via-rhine 0000:00:12.0: eth1: link up, 100Mbps, full-duplex, lpa 0xCDE1


00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
<------>Subsystem: Elitegroup Computer Systems Device 0102
<------>Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
<------>Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
<------>Latency: 64 (750ns min, 2000ns max), Cache Line Size: 64 bytes
<------>Interrupt: pin A routed to IRQ 23
<------>Region 0: I/O ports at ee00 [size=256]
<------>Region 1: Memory at fdffd000 (32-bit, non-prefetchable) [size=256]
<------>Capabilities: [40] Power Management version 2
<------><------>Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
<------><------>Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
<------>Kernel driver in use: via-rhine
<------>Kernel modules: via-rhine

[root@ww1 log]# ethtool eth1
Settings for eth1:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Advertised pause frame use: Symmetric
        Advertised auto-negotiation: Yes
        Link partner advertised link modes:  10baseT/Half 10baseT/Full
                                             100baseT/Half 100baseT/Full
        Link partner advertised pause frame use: Symmetric Receive-only
        Link partner advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: d
        Current message level: 0x00000001 (1)
                               drv
        Link detected: yes
Comment 1 dev002 2012-02-27 19:53:40 EST
HPET VIA causes the problem.

Note You need to log in before you can comment on or make changes to this bug.